project(pisd)
import_version(${PROJECT_NAME} PIP)
set_deploy_property(${PROJECT_NAME}
	LABEL "PIP System Daemon"
	FULLNAME "${PIP_DOMAIN}.pisd"
	COMPANY  "${PIP_COMPANY}"
	INFO "PIP System Daemon")
make_rc(${PROJECT_NAME} RC)
list(APPEND PIP_UTILS_LIST "pisd")
set(PIP_UTILS_LIST ${PIP_UTILS_LIST} PARENT_SCOPE)
file(GLOB CPPS "*.cpp")
file(GLOB HDRS "*.h")
add_executable(${PROJECT_NAME} ${CPPS} ${HDRS} ${RC})
target_link_libraries(${PROJECT_NAME} pip pip_crypt pip_console)
if (DEFINED LIB)
	install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
else()
	install(TARGETS ${PROJECT_NAME} DESTINATION bin)
endif()
if (NOT DEFINED ANDROID_PLATFORM)
	deploy_target(${PROJECT_NAME}
		DEPLOY_DIR ${CMAKE_CURRENT_BINARY_DIR}
		DESTINATION "${ROOT_DIR}/release"
		ADD_MANIFEST
		)
endif()
